<template>
  <div id="rps-footer" class="rps-footer">
    <div class="first-footer">
          <div class="first-footer-top">
            <div v-if="footer_config.footer_sitemap.count > 0" class="sitemap">
              <div v-for="footer_sitemap in footer_config.footer_sitemap" v-bind:key="uuid" class="block-sitemap">
                <h2>{{ footer_sitemap.name }}</h2>
                <ul>
                  <li v-for="sitemap_link in footer_sitemap.links" v-bind:key="uuid">
                    <a :href="sitemap_link.link" :class="sitemap_link.isDisabled ? 'isDisabled' : ''">{{ sitemap_link.isDisabled }} </a>
                  </li>
                </ul>
              </div>
            </div>
            <div v-else>
              This site is built with ❤ by {{ config.producedBy }}
            </div>

          </div>
        <!-- second row -->
        <div class="second-footer-bottom">
          <ul>
            <li v-for="link in footer_config.last_link_row" v-bind:key="uuid">
              <a :href="link.link" :class="link.isDisabled ? 'isDisabled' : ''">{{ link.name }} </a>
            </li>
          </ul>
        </div>
    </div>
    <!-- Last footer (Logos, gefördert von etc) -->
    <div class="last-footer">
            <!-- First Logo -->
            <div class="">
              <a v-if="footer_config.has_first_logo" :href="footer_config.first_logo_link" class="navbar-brand">
                <img :src="firstLogo" :alt="footer_config.alt_first_logo">
              </a>
            </div>
            <!-- Gefördert von mit Second Logo -->
            <div v-if="footer_config.has_second_logo"  class="second-logo-space">
              <span>Gefördert vom</span>
              <a :href="footer_config.second_logo_link">
                <img :src="secondLogo" :alt="footer_config.alt_second_logo" class="second-logo">
              </a>
              <span>und den beteiligten Bundesländern</span>
            </div>
    </div>
  </div>
</template>

<script>
import "../assets/style/footer.scss";

import firstLogo from "../assets/images/footer-first.svg";
import secondLogo from "../assets/images/footer-second.svg";

export default {
  name: 'Footer',

  props: ['footer_config'],
  data() {
    return {
      firstLogo: firstLogo,
      secondLogo: secondLogo
    }
  },

}
</script>
